Bug 1313323 - [abrt] WARNING: CPU: 0 PID: 83 at drivers/gpu/drm/drm_irq.c:1268 drm_wait_one_vblank+0x191/0x1a0 [drm]() [drm]
[abrt] WARNING: CPU: 0 PID: 83 at drivers/gpu/drm/drm_irq.c:1268 drm_wait_one...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4fdd956d31dbf45fffec17f401e...
: Reopened
: 1316214 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 07:01 EST by emes
Modified: 2017-12-12 06:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:01:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (98.52 KB, text/plain)
2016-03-01 07:01 EST, emes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 93782 None None None 2017-01-05 06:29 EST

  None (edit)
Description emes 2016-03-01 07:01:12 EST
Additional info:
reporter:       libreport-2.6.4
WARNING: CPU: 0 PID: 83 at drivers/gpu/drm/drm_irq.c:1268 drm_wait_one_vblank+0x191/0x1a0 [drm]()
vblank wait timed out on crtc 0
Modules linked in: i915(+) i2c_algo_bit dm9601 drm_kms_helper usbnet mii syscopyarea sysfillrect sysimgblt e1000e fb_sys_fops drm uas serio_raw ata_generic usb_storage pata_acpi ptp pps_core video fjes
CPU: 0 PID: 83 Comm: kworker/u4:5 Not tainted 4.4.2-301.fc23.i686 #1
Hardware name: Hewlett-Packard HP Compaq 6720s/30D8, BIOS 68MDU Ver. F.01 07/05/2007
Workqueue: events_unbound async_run_entry_fn
 c0d8a967 d871a81f 00000000 f691bb94 c07264a0 f691bbd4 f691bbc4 c0460107
 f7eb0df0 f691bbf4 00000053 f7eaeaae 000004f4 f7e88551 f7e88551 f64b4400
 00000000 00000000 f691bbe0 c046017e 00000009 f691bbd4 f7eb0df0 f691bbf4
Call Trace:
 [<c07264a0>] dump_stack+0x41/0x61
 [<c0460107>] warn_slowpath_common+0x87/0xc0
 [<f7e88551>] ? drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<f7e88551>] ? drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<c046017e>] warn_slowpath_fmt+0x3e/0x60
 [<f7e88551>] drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<c049e330>] ? wake_atomic_t_function+0x70/0x70
 [<f8099ae7>] intel_get_load_detect_pipe+0x5d7/0x5f0 [i915]
 [<f80d4036>] intel_tv_detect+0x106/0x660 [i915]
 [<c0490208>] ? check_preempt_wakeup+0xe8/0x220
 [<f7de3c7b>] drm_helper_probe_single_connector_modes_merge_bits+0x20b/0x480 [drm_kms_helper]
 [<f7de3f07>] drm_helper_probe_single_connector_modes+0x17/0x20 [drm_kms_helper]
 [<f7def73a>] drm_fb_helper_initial_config+0x9a/0x400 [drm_kms_helper]
 [<c0498829>] ? pick_next_task_fair+0x459/0x520
 [<f80aab19>] intel_fbdev_initial_config+0x19/0x20 [i915]
 [<c047d78e>] async_run_entry_fn+0x4e/0x170
 [<c0475bc5>] process_one_work+0x145/0x380
 [<c0475e39>] worker_thread+0x39/0x430
 [<c0475e00>] ? process_one_work+0x380/0x380
 [<c047b0d6>] kthread+0xa6/0xc0
 [<c0ada7c9>] ret_from_kernel_thread+0x21/0x38
 [<c047b030>] ? kthread_worker_fn+0x130/0x130
Comment 1 emes 2016-03-01 07:01:22 EST
Created attachment 1131882 [details]
File: dmesg
Comment 2 partha sarathy kar 2016-03-09 12:09:06 EST
*** Bug 1316214 has been marked as a duplicate of this bug. ***
Comment 3 robert fairbrother 2016-04-19 18:26:06 EDT
Description of problem:
tryed to download chrome and opera browser

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.6-301.fc23.i686 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-af4374a9-1123-4720-bd6b-ff17ca881866 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_CA.UTF-8
kernel:         4.4.6-301.fc23.i686
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 89 at drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x191/0x1a0 [drm]()
vblank wait timed out on crtc 0
Modules linked in: i915(+) i2c_algo_bit drm_kms_helper syscopyarea sysfillrect sysimgblt sdhci_pci fb_sys_fops firewire_ohci sdhci drm firewire_core mmc_core serio_raw ata_generic crc_itu_t sky2 pata_acpi fjes video
CPU: 0 PID: 89 Comm: kworker/u4:6 Not tainted 4.4.6-301.fc23.i686 #1
Hardware name: Dell Inc. Inspiron 1525                   /0U990C, BIOS A11 03/10/2008
Workqueue: events_unbound async_run_entry_fn
 c0d8e967 50e54742 00000286 f69a7b94 c0729827 f69a7bd4 f7eafaae f69a7bc4
 c0460657 f7eb1eac f69a7bf4 00000059 f7eafaae 0000052e f7e88741 f7e88741
 f6232400 00000000 00000000 f69a7be0 c04606ce 00000009 f69a7bd4 f7eb1eac
Call Trace:
 [<c0729827>] dump_stack+0x58/0x81
 [<c0460657>] warn_slowpath_common+0x87/0xc0
 [<f7e88741>] ? drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<f7e88741>] ? drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<c04606ce>] warn_slowpath_fmt+0x3e/0x60
 [<f7e88741>] drm_wait_one_vblank+0x191/0x1a0 [drm]
 [<c049ede0>] ? wake_atomic_t_function+0x70/0x70
 [<f809c587>] intel_get_load_detect_pipe+0x5d7/0x5f0 [i915]
 [<c0734f21>] ? vsnprintf+0x321/0x420
 [<f80d6b66>] intel_tv_detect+0x106/0x660 [i915]
 [<c0490c78>] ? check_preempt_wakeup+0xe8/0x220
 [<f7da5c7b>] drm_helper_probe_single_connector_modes_merge_bits+0x20b/0x480 [drm_kms_helper]
 [<f7da5f07>] drm_helper_probe_single_connector_modes+0x17/0x20 [drm_kms_helper]
 [<f7db1b5a>] drm_fb_helper_initial_config+0x9a/0x400 [drm_kms_helper]
 [<c04992d9>] ? pick_next_task_fair+0x459/0x520
 [<f80ad5f9>] intel_fbdev_initial_config+0x19/0x20 [i915]
 [<c047e03e>] async_run_entry_fn+0x4e/0x170
 [<c04763e3>] process_one_work+0x123/0x3c0
 [<c04766b9>] worker_thread+0x39/0x430
 [<c0476680>] ? process_one_work+0x3c0/0x3c0
 [<c047b956>] kthread+0xa6/0xc0
 [<c0adfc09>] ret_from_kernel_thread+0x21/0x38
 [<c047b8b0>] ? kthread_worker_fn+0x130/0x130
Comment 4 Fedora End Of Life 2016-11-24 10:51:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 14:09:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Marcin Zajaczkowski 2016-12-23 18:52:57 EST
I encounter the same issue after upgrading old Toshiba laptop from F22 (?) to F25. There is a several seconds delay when graphical mode is switched (e.g. just after Linux is starting to boot or when user is logged in in GDM). Quite annoying.

kernel-4.8.15-300.fc25.x86_64

> kernel: [drm:drm_atomic_helper_commit_cleanup_done [drm_kms_helper]] *ERROR* [CRTC:29:pipe B] flip_done timed out
> kernel: ------------[ cut here ]------------
> kernel: WARNING: CPU: 1 PID: 1446 at drivers/gpu/drm/drm_irq.c:1224 drm_wait_one_vblank+0x1b6/0x1c0 [drm]
> kernel: vblank wait timed out on crtc 1
> kernel: Modules linked in: fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtab
> kernel:  snd_hwdep ath tifm_7xx1 tifm_core snd_seq snd_seq_device snd_pcm cfg80211 lpc_ich toshiba_acpi industrialio toshiba_bluetooth snd_timer sparse_keymap snd rfkill shpchp wmi soundcore acpi_cpufreq tpm_tis tpm
> kernel: CPU: 1 PID: 1446 Comm: gnome-shell Tainted: G        W       4.8.15-300.fc25.x86_64 #1
> kernel: Hardware name: TOSHIBA Satellite A205/ISKAA, BIOS V2.50 06/11/2008
> kernel:  0000000000000286 00000000e099529e ffff8c6339f73918 ffffffff8a3e5e1d
> kernel:  ffff8c6339f73968 0000000000000000 ffff8c6339f73958 ffffffff8a0a0e8b
> kernel:  000004c800000000 ffff8c62f5f00000 0000000000000001 0000000000000000
> kernel: Call Trace:
> kernel:  [<ffffffff8a3e5e1d>] dump_stack+0x63/0x86
> kernel:  [<ffffffff8a0a0e8b>] __warn+0xcb/0xf0
> kernel:  [<ffffffff8a0a0f0f>] warn_slowpath_fmt+0x5f/0x80
> kernel:  [<ffffffff8a0e4b13>] ? finish_wait+0x53/0x70
> kernel:  [<ffffffffc03f0c66>] drm_wait_one_vblank+0x1b6/0x1c0 [drm]
> kernel:  [<ffffffff8a0e4d70>] ? prepare_to_wait_event+0xf0/0xf0
> kernel:  [<ffffffffc058f182>] intel_get_load_detect_pipe+0x662/0x680 [i915]
> kernel:  [<ffffffffc05cc90f>] intel_tv_detect+0x13f/0x5c0 [i915]
> kernel:  [<ffffffffc045f04b>] drm_helper_probe_single_connector_modes+0x27b/0x520 [drm_kms_helper]
> kernel:  [<ffffffff8a8011b2>] ? mutex_lock+0x12/0x30
> kernel:  [<ffffffffc03fbf02>] drm_mode_getconnector+0x372/0x3c0 [drm]
> kernel:  [<ffffffffc03eefa0>] drm_ioctl+0x200/0x4f0 [drm]
> kernel:  [<ffffffffc03fbb90>] ? drm_mode_getcrtc+0x140/0x140 [drm]
> kernel:  [<ffffffff8a264cc3>] do_vfs_ioctl+0xa3/0x5f0
> kernel:  [<ffffffff8a265289>] SyS_ioctl+0x79/0x90
> kernel:  [<ffffffff8a803b72>] entry_SYSCALL_64_fastpath+0x1a/0xa4
> kernel: ---[ end trace cad3eca6b2f7c043 ]---
> kernel: ------------[ cut here ]------------
Comment 7 Marcin Zajaczkowski 2016-12-23 19:38:20 EST
It doesn't occur when downgraded to kernel-4.7.0-2.fc25.
Comment 8 Felix Schwarz 2017-01-05 06:29:16 EST
Likely duplicate of bug 1342755 and bug 1365316 even though it is interesting that you see no errors at all with kernel 4.7.0 (can you confirm this by looking at "journalctl -b" with 4.7.x?). However I know that at least some GM965 variants did not have problems until 4.8.x (you might use one of these models).

Anyhow the backtrace is similar to https://bugs.freedesktop.org/show_bug.cgi?id=93782#c5 so I guess that one is the actual upstream bug.
Comment 9 Fedora End Of Life 2017-11-16 10:33:28 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2017-12-12 06:01:41 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.